VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
ConfigValue Struct Reference
Standalone Library

Configuration Value. More...

`#include <appinit.h>`

## Public Types
enum class | Type { Unknown , Integer , String }

## Public Member Functions
| ConfigValue ()=delete
constexpr | ConfigValue (int64_t v)
constexpr | ConfigValue (const char *s)

## Public Attributes
enum VSTGUI::Standalone::Application::ConfigValue::Type | type = Type::Unknown
union { |
int64_t integer |
const char * string |
} | value = {} |

## Detailed Description

Configuration Value.

## Member Enumeration Documentation

## ◆ Type

enum class Type
| strong

Enumerator
Unknown |
Integer |
String |

## Constructor & Destructor Documentation

## ◆ ConfigValue() [1/3]

ConfigValue | ( |  | ) |
| delete

## ◆ ConfigValue() [2/3]

ConfigValue | ( | int64_t | v | ) |
| inline constexpr

## ◆ ConfigValue() [3/3]

ConfigValue | ( | const char * | s | ) |
| inline constexpr

## Member Data Documentation

## ◆ integer

int64_t integer

## ◆ string

const char* string

## ◆ type

enum VSTGUI::Standalone::Application::ConfigValue::Type type = Type::Unknown

## ◆ [union]

union { ... } value

The documentation for this struct was generated from the following file:

- appinit.h